'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _emojiData = require('../emoji-data');

var _style = require('./style.scss');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CategoriesNav(_ref) {
    var _onClick = _ref.onClick,
        activeCategory = _ref.activeCategory;

    return _react2.default.createElement(
        'nav',
        null,
        _emojiData.categories.map(function (category, index) {
            var className = [_style2.default[category.name]];
            if (category.name === activeCategory) {
                className.push(_style2.default.active);
            }
            return _react2.default.createElement(
                'a',
                { className: className.join(' '), key: index, onClick: function onClick() {
                        return _onClick(category);
                    } },
                _react2.default.createElement('i', null)
            );
        })
    );
}

exports.default = CategoriesNav;