'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.imgURL = exports.bgImage = undefined;

var _constants = require('../../../constants');

function bgImage(_ref) {
    var unified = _ref.unified,
        assetPath = _ref.assetPath,
        emojiResolution = _ref.emojiResolution;

    return { 'backgroundImage': 'url(' + imgURL({ unified: unified, assetPath: assetPath, emojiResolution: emojiResolution }) + ')' };
};

function imgURL(_ref2) {
    var unified = _ref2.unified,
        assetPath = _ref2.assetPath,
        emojiResolution = _ref2.emojiResolution;


    if (typeof assetPath === 'undefined') {
        assetPath = _constants.DEFAULT_CDN_PATH;
    }

    assetPath += emojiResolution ? '/' + emojiResolution : '/' + _constants.DEFAULT_IMAGE_RESOLUTION;

    return assetPath + '/' + unified + '.png';
};

exports.bgImage = bgImage;
exports.imgURL = imgURL;