'use strict';

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Test unifiedWithModifier Function', function () {
    it('Should return unified emoji code with active chosen diversity', function () {
        expect((0, _index2.default)(emojiWithDiversities, activeModifier)).to.equal(unifiedWithDiversity);
    });

    it('Should return default unified emoji code if no diversity is chosen', function () {
        expect((0, _index2.default)(emojiWithDiversities)).to.equal(unified);
    });

    it('Should return default unified emoji code if current emoji does not have diversities', function () {
        expect((0, _index2.default)(emojiWithNoDiversities, activeModifier)).to.equal(unified);
    });

    it('Should return default unified emoji code if current emoji does not have chosen diversity', function () {
        expect((0, _index2.default)(emojiWithoutChosenDiversity, activeModifier)).to.equal(unified);
    });
});

var unified = '261d',
    unifiedWithDiversity = '261d-1f3fc',
    activeModifier = '1f3fc',
    emojiWithDiversities = {
    unified: unified,
    diversities: ['261d-1f3fb', '261d-1f3fc', '261d-1f3fd', '261d-1f3fe', '261d-1f3ff']
},
    emojiWithNoDiversities = {
    unified: unified
},
    emojiWithoutChosenDiversity = {
    unified: unified,
    diversities: ['261d-1f3fb', '261d-1f3fd', '261d-1f3fe', '261d-1f3ff']
};