'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _helpers = require('./helpers');

var _constants = require('../constants');

var _style = require('./style.scss');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Emoji = function (_Component) {
    _inherits(Emoji, _Component);

    function Emoji(props) {
        _classCallCheck(this, Emoji);

        var _this = _possibleConstructorReturn(this, (Emoji.__proto__ || Object.getPrototypeOf(Emoji)).call(this, props));

        _this.emoji = props.emoji;
        _this.hasDiversities = _this.emoji.hasOwnProperty('diversities');

        _this.onClick = _this.onClick.bind(_this);
        _this.emojiChosen = _this.emojiChosen.bind(_this);
        _this.onMouseEnter = _this.onMouseEnter.bind(_this);
        _this.onMouseLeave = _this.onMouseLeave.bind(_this);
        _this.onMouseDown = _this.onMouseDown.bind(_this);
        _this.onMouseUp = _this.onMouseUp.bind(_this);
        return _this;
    }

    _createClass(Emoji, [{
        key: 'shouldComponentUpdate',
        value: function shouldComponentUpdate(nextProps, nextState, nextContext) {

            var visibilityChanged = nextProps.hidden !== this.props.hidden,
                categoryVisibilityChanged = nextProps.categorySeen !== this.props.categorySeen,
                hasDiversities = this.hasDiversities,
                activeModifierChanged = hasDiversities && nextContext.activeModifier !== this.context.activeModifier;

            return visibilityChanged || categoryVisibilityChanged || activeModifierChanged;
        }
    }, {
        key: 'onClick',
        value: function onClick(e) {
            e.preventDefault();
        }
    }, {
        key: 'emojiChosen',
        value: function emojiChosen(e) {
            var _props = this.props,
                emoji = _props.emoji,
                onEmojiClick = _props.onEmojiClick;


            onEmojiClick && onEmojiClick(emoji.unified, emoji, e);

            if (!e.defaultPrevented) {
                e.preventDefault();
            }
        }
    }, {
        key: 'onMouseEnter',
        value: function onMouseEnter() {
            var _this2 = this;

            if (this.props._emojiName) {
                this.props._emojiName.textContent = this.emoji.name;
            }

            if (!this.hasDiversities || this.props.disableDiversityPicker) {
                return;
            }

            this.onMouseEnterTimeout = setTimeout(function () {
                _this2.context.openDiversitiesMenu(_this2.props.member);
            }, _constants.OPEN_DIVERSITIES_TIMEOUT);
        }
    }, {
        key: 'onMouseLeave',
        value: function onMouseLeave(e) {

            clearTimeout(this.onMouseEnterTimeout);

            if (e.relatedTarget && e.relatedTarget.classList && e.relatedTarget.classList.contains('emoji')) {
                return;
            }

            if (this.props._emojiName) {
                this.props._emojiName.textContent = '';
            }
        }
    }, {
        key: 'onMouseDown',
        value: function onMouseDown() {
            var _this3 = this;

            clearTimeout(this.onMouseEnterTimeout);

            if (!this.hasDiversities || this.props.disableDiversityPicker) {
                return;
            }

            this.timeCounter = Date.now();

            this.diversitiesTimeout = setTimeout(function () {
                delete _this3.diversitiesTimeout;
                _this3.context.openDiversitiesMenu(_this3.props.member);
            }, _constants.OPEN_DIVERSITIES_TIMEOUT);
        }
    }, {
        key: 'onMouseUp',
        value: function onMouseUp(e) {

            var counter = this.timeCounter;
            clearTimeout(this.diversitiesTimeout);
            delete this.timeCounter;

            if (!(counter && Date.now() - counter >= _constants.OPEN_DIVERSITIES_TIMEOUT)) {
                return this.emojiChosen(e);
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _props2 = this.props,
                emoji = _props2.emoji,
                assetPath = _props2.assetPath,
                emojiResolution = _props2.emojiResolution;


            var unified = emoji.unified;

            var style = (0, _helpers.bgImage)({ unified: unified, assetPath: assetPath, emojiResolution: emojiResolution });
            style.order = emoji.order;

            return _react2.default.createElement('a', { className: _style2.default.emoji,
                onClick: this.onClick,
                onMouseEnter: this.onMouseEnter,
                onMouseLeave: this.onMouseLeave,
                onMouseDown: this.onMouseDown,
                onMouseUp: this.onMouseUp,
                tabIndex: emoji.order,
                style: style });
        }
    }]);

    return Emoji;
}(_react.Component);

exports.default = Emoji;