'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _emojiData = require('../emoji-data');

var _emoji_accessor = require('../emoji-data/emoji_accessor');

var _emoji_accessor2 = _interopRequireDefault(_emoji_accessor);

var _Emoji = require('../Emoji');

var _Emoji2 = _interopRequireDefault(_Emoji);

var _style = require('./style.scss');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function EmojiCategory(props) {
    var category = props.category,
        visible = props.visible,
        onEmojiClick = props.onEmojiClick,
        assetPath = props.assetPath,
        emojiResolution = props.emojiResolution;


    var className = [_style2.default.emojiCategory];
    if (!visible) {
        className.push(_style2.default.hidden);
    }

    return _react2.default.createElement(
        'div',
        { className: className.join(' ') },
        category.members.map(function (member, index) {
            var emoji = _emojiData.emojis[member];
            if (!emoji) {
                return null;
            }

            return _react2.default.createElement(_Emoji2.default, {
                key: index,
                emoji: (0, _emoji_accessor2.default)(emoji),
                onEmojiClick: onEmojiClick,
                assetPath: assetPath,
                emojiResolution: emojiResolution
            });
        })
    );
}

exports.default = EmojiCategory;