'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _emojiData = require('../emoji-data');

var _EmojiCategory = require('../EmojiCategory');

var _EmojiCategory2 = _interopRequireDefault(_EmojiCategory);

var _style = require('./style.scss');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var EmojiList = function (_Component) {
    _inherits(EmojiList, _Component);

    function EmojiList() {
        _classCallCheck(this, EmojiList);

        return _possibleConstructorReturn(this, (EmojiList.__proto__ || Object.getPrototypeOf(EmojiList)).apply(this, arguments));
    }

    _createClass(EmojiList, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                activeCategory = _props.activeCategory,
                seenCategories = _props.seenCategories,
                onEmojiClick = _props.onEmojiClick,
                assetPath = _props.assetPath,
                emojiResolution = _props.emojiResolution;


            return _react2.default.createElement(
                'div',
                { className: _style2.default.emojiList },
                _emojiData.categories.map(function (category) {
                    if (!seenCategories[category.name]) {
                        return null;
                    }
                    return _react2.default.createElement(_EmojiCategory2.default, {
                        key: category.name,
                        category: category,
                        visible: activeCategory === category.name,
                        onEmojiClick: onEmojiClick,
                        assetPath: assetPath,
                        emojiResolution: emojiResolution
                    });
                })
            );
        }
    }]);

    return EmojiList;
}(_react.Component);

exports.default = EmojiList;