'use strict';

var _emoji_accessor = require('./emoji_accessor');

var _emoji_accessor2 = _interopRequireDefault(_emoji_accessor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Test emojiAccessor Function', function () {
    it('should return undefined if no emoji was supplied', function () {
        expect((0, _emoji_accessor2.default)()).to.equal(undefined);
    });

    it('should return correct emoji structure', function () {
        expect((0, _emoji_accessor2.default)(emoji)).to.deep.equal(expected);
    });

    it('should return correct emoji structure with diversities', function () {
        expect((0, _emoji_accessor2.default)(emojiWithDiversities)).to.deep.equal(Object.assign({}, expected, {
            diversities: []
        }));
    });
});

var emoji = {
    n: 'name',
    c: 2,
    u: '1',
    o: 1
},
    emojiWithDiversities = Object.assign({}, emoji, {
    d: []
}),
    expected = {
    name: 'name',
    category: 'nature',
    unified: '1',
    order: 1
};