'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _emojiData = require('./emoji-data');

var _CategoriesNav = require('./CategoriesNav');

var _CategoriesNav2 = _interopRequireDefault(_CategoriesNav);

var _helpers = require('./Emoji/helpers');

var _style = require('./style.scss');

var _style2 = _interopRequireDefault(_style);

var _EmojiList = require('./EmojiList');

var _EmojiList2 = _interopRequireDefault(_EmojiList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var EmojiPicker = function (_Component) {
    _inherits(EmojiPicker, _Component);

    function EmojiPicker() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, EmojiPicker);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = EmojiPicker.__proto__ || Object.getPrototypeOf(EmojiPicker)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            activeCategory: '',
            seenCategories: {}
        }, _this.setSeenCategory = function (category) {
            var seenCategories = Object.assign({}, _this.state.seenCategories);
            seenCategories[category.name] = true;
            _this.setState({ seenCategories: seenCategories, activeCategory: category.name });
        }, _this.onCategoryClick = function (category) {
            _this.setSeenCategory(category);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(EmojiPicker, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var firstCategory = _emojiData.categories[0].name;

            var seenCategories = {};
            seenCategories[firstCategory] = true;

            this.setState({
                activeCategory: firstCategory,
                seenCategories: seenCategories
            });
        }
    }, {
        key: 'onEmojiClick',
        value: function onEmojiClick(unified, emoji, e) {
            console.log((0, _helpers.imgURL)({ unified: unified, emoji: emoji, e: e }));
            return (0, _helpers.imgURL)({ unified: unified, emoji: emoji, e: e });
        }
    }, {
        key: 'render',
        value: function render() {
            var assetPath = this.props.assetPath;
            var _state = this.state,
                activeCategory = _state.activeCategory,
                seenCategories = _state.seenCategories,
                emojiResolution = _state.emojiResolution;


            return _react2.default.createElement(
                'aside',
                { className: _style2.default.emojiPicker },
                _react2.default.createElement(_CategoriesNav2.default, { onClick: this.onCategoryClick, activeCategory: activeCategory }),
                _react2.default.createElement('div', { className: _style2.default.barWrapper }),
                _react2.default.createElement(_EmojiList2.default, {
                    onEmojiClick: this.onEmojiClick,
                    assetPath: assetPath,
                    emojiResolution: emojiResolution,
                    activeCategory: activeCategory,
                    seenCategories: seenCategories })
            );
        }
    }]);

    return EmojiPicker;
}(_react.Component);

exports.default = EmojiPicker;